<?php

namespace App\Console\Commands;

use App\Models\Admin;
use Illuminate\Console\Command;

class CreateDefaultAdminCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'make:admin {--name=} {--email=} {--password=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This command is used to create admin';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $name = $this->option('name');
        $email = $this->option('email');
        $password = $this->option('password');

        if (!$name) {
            $this->error('FullName is Required');
            return 1;
        }

        if (!$email) {
            $this->error('Email is Required');
            return 1;
        }

        if (!$password) {
            $this->error('Password is Required');
            return 1;
        }

        $admin = Admin::create([
            'role_id' => 1,
            'name' => $name,
            'email' => $email,
            'password' => bcrypt($password)
        ]);

        if ($admin) {
            $this->info('Admin Created Successfully!');
            return 0;
        }

        $this->error('Failed to Create Admin!');
        return 1;
    }
}
