<?php

namespace App\Console\Commands;

use App\Models\Category;
use App\Models\CategoryLanguage;
use Illuminate\Console\Command;

class GenerateCategory extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:category';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate List of Categories';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Category::create([]);
        Category::create([
            'category_id' => 1
        ]);
        Category::create([
            'category_id' => 2
        ]);
        Category::create([
            'category_id' => 2
        ]);

        CategoryLanguage::create([
            'category_id' => 1,
            'language_locale' => 'fa',
            'title' => 'کتاب و صوت'
        ]);

        CategoryLanguage::create([
            'category_id' => 2,
            'language_locale' => 'fa',
            'title' => 'آموزشی'
        ]);
        CategoryLanguage::create([
            'category_id' => 3,
            'language_locale' => 'fa',
            'title' => 'کوتاه'
        ]);
        CategoryLanguage::create([
            'category_id' => 4,
            'language_locale' => 'fa',
            'title' => 'بلند'
        ]);
        return 0;
    }
}
