<?php

namespace App\Console\Commands;

use App\Models\Currency;
use App\Models\CurrencyLanguage;
use Illuminate\Console\Command;

class GenerateCurrency extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:currency';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate List of Currencies';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Currency::query()
            ->insert([
                [
                    'currency' => 'IRR',
                    'default' => 0,
                    'receipt' => 0,
                    'floating_point' => 0,
                    'created_at' => now(),
                    'updated_at' => now()
                ],
                [
                    'currency' => 'IQD',
                    'default' => 0,
                    'receipt' => 1,
                    'floating_point' => 0,
                    'created_at' => now(),
                    'updated_at' => now()
                ],
                [
                    'currency' => 'USD',
                    'default' => 0,
                    'receipt' => 0,
                    'floating_point' => 2,
                    'created_at' => now(),
                    'updated_at' => now()
                ]
            ]);

        CurrencyLanguage::query()->insert([
            [
                'language_locale' => 'fa',
                'currency_code' => 'IRR',
                'name' => 'تومان',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'ar',
                'currency_code' => 'IRR',
                'name' => 'تومان',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'en',
                'currency_code' => 'IRR',
                'name' => 'Toman',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'fa',
                'currency_code' => 'IQD',
                'name' => 'دینار',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'ar',
                'currency_code' => 'IQD',
                'name' => 'دینار',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'en',
                'currency_code' => 'IQD',
                'name' => 'Dinar',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'fa',
                'currency_code' => 'USD',
                'name' => 'دلار',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'ar',
                'currency_code' => 'USD',
                'name' => 'دلار',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'language_locale' => 'en',
                'currency_code' => 'USD',
                'name' => 'Dollar',
                'created_at' => now(),
                'updated_at' => now()
            ]
        ]);

        return 0;
    }
}
