<?php

namespace App\Console\Commands;

use App\Models\Category;
use App\Models\CategoryLanguage;
use App\Models\Genre;
use App\Models\GenreLanguage;
use Illuminate\Console\Command;

class GenerateGenre extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:genre';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate List of Genres';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Genre::create([]);

        GenreLanguage::create([
            'genre_id' => 1,
            'language_locale' => 'fa',
            'title' => 'اکشن'
        ]);

        GenreLanguage::create([
            'genre_id' => 1,
            'language_locale' => 'en',
            'title' => 'Action'
        ]);

        return 0;
    }
}
