<?php

namespace App\Console\Commands;

use App\Models\Language;
use App\Models\LanguageLanguage;
use Illuminate\Console\Command;

class GenerateLanguage extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:language';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate List of Languages';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Language::query()
            ->insert([
                [
                    'name' => 'Farsi',
                    'locale' => 'fa',
                    'created_at' => now(),
                    'updated_at' => now()
                ],
                [
                    'name' => 'Farsi',
                    'locale' => 'fa',
                    'created_at' => now(),
                    'updated_at' => now()
                ],
                [
                    'name' => 'Farsi',
                    'locale' => 'fa',
                    'created_at' => now(),
                    'updated_at' => now()
                ],
            ]);

        LanguageLanguage::query()
            ->insert([
                [
                    'locale' => 'fa',
                    'language_locale' => 'fa',
                    'title' => 'فارسی'
                ],
                [
                    'locale' => 'fa',
                    'language_locale' => 'en',
                    'title' => 'Farsi'
                ],
                [
                    'locale' => 'en',
                    'language_locale' => 'fa',
                    'title' => 'انگلیسی'
                ],
                [
                    'locale' => 'en',
                    'language_locale' => 'en',
                    'title' => 'English'
                ]
            ]);
    }
}
