<?php

namespace App\Console\Commands;

use App\Models\Permission;
use App\Models\Role;
use Illuminate\Console\Command;

class GenerateRolePermission extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:role_permission';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This Command is used to generate Default Role And Permission for Super Admin';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $role = Role::query()->firstOrCreate(['title' => 'مدیر ارشد'], ['title' => 'مدیر ارشد']);

        //Admins Permissions
        Permission::query()->firstOrCreate(['key' => 'ADMINS_LIST'], ['title' => 'لیست مدیران']);
        Permission::query()->firstOrCreate(['key' => 'ADMINS_CREATE'], ['title' => 'ایجاد مدیر']);
        Permission::query()->firstOrCreate(['key' => 'ADMINS_SHOW'], ['title' => 'نمایش اطلاعات مدیر']);
        Permission::query()->firstOrCreate(['key' => 'ADMINS_UPDATE'], ['title' => 'ویرایش مدیر']);
        Permission::query()->firstOrCreate(['key' => 'ADMINS_DELETE'], ['title' => 'حذف مدیر']);

        //Roles Permissions
        Permission::query()->firstOrCreate(['key' => 'ROLES_LIST'], ['title' => 'لیست سطوح دسترسی']);
        Permission::query()->firstOrCreate(['key' => 'ROLES_CREATE'], ['title' => 'ایجاد سطح دسترسی']);
        Permission::query()->firstOrCreate(['key' => 'ROLES_SHOW'], ['title' => 'نمایش اطلاعات سطح دسترسی']);
        Permission::query()->firstOrCreate(['key' => 'ROLES_UPDATE'], ['title' => 'ویرایش سطح دسترسی']);
        Permission::query()->firstOrCreate(['key' => 'ROLES_DELETE'], ['title' => 'حذف سطح دسترسی']);

        //Users Permissions
        Permission::query()->firstOrCreate(['key' => 'USERS_LIST'], ['title' => 'لیست کاربران']);
        Permission::query()->firstOrCreate(['key' => 'USERS_CREATE'], ['title' => 'ایجاد کاربر']);
        Permission::query()->firstOrCreate(['key' => 'USERS_SHOW'], ['title' => 'نمایش اطلاعات کاربر']);
        Permission::query()->firstOrCreate(['key' => 'USERS_UPDATE'], ['title' => 'ویرایش کاربر']);
        Permission::query()->firstOrCreate(['key' => 'USERS_DELETE'], ['title' => 'حذف کاربر']);

        //Publishers Permissions
        Permission::query()->firstOrCreate(['key' => 'PUBLISHERS_LIST'], ['title' => 'لیست فروشندگان']);
        Permission::query()->firstOrCreate(['key' => 'PUBLISHERS_CREATE'], ['title' => 'ایجاد فروشنده']);
        Permission::query()->firstOrCreate(['key' => 'PUBLISHERS_SHOW'], ['title' => 'نمایش اطلاعات فروشنده']);
        Permission::query()->firstOrCreate(['key' => 'PUBLISHERS_UPDATE'], ['title' => 'ویرایش فروشنده']);
        Permission::query()->firstOrCreate(['key' => 'PUBLISHERS_DELETE'], ['title' => 'حذف فروشنده']);

        //Marketers Permissions
        Permission::query()->firstOrCreate(['key' => 'MARKETERS_LIST'], ['title' => 'لیست بازاریابان']);
        Permission::query()->firstOrCreate(['key' => 'MARKETERS_CREATE'], ['title' => 'ایجاد بازاریاب']);
        Permission::query()->firstOrCreate(['key' => 'MARKETERS_SHOW'], ['title' => 'نمایش اطلاعات بازاریاب']);
        Permission::query()->firstOrCreate(['key' => 'MARKETERS_UPDATE'], ['title' => 'ویرایش بازاریاب']);
        Permission::query()->firstOrCreate(['key' => 'MARKETERS_DELETE'], ['title' => 'حذف بازاریاب']);

        //Products Permissions
        Permission::query()->firstOrCreate(['key' => 'PRODUCTS_LIST'], ['title' => 'لیست محصولات']);
        Permission::query()->firstOrCreate(['key' => 'PRODUCTS_SHOW'], ['title' => 'نمایش اطلاعات محصول']);
        Permission::query()->firstOrCreate(['key' => 'PRODUCTS_UPDATE'], ['title' => 'ویرایش محصول']);
        Permission::query()->firstOrCreate(['key' => 'PRODUCTS_DELETE'], ['title' => 'حذف محصول']);

        //Discounts Permissions
        Permission::query()->firstOrCreate(['key' => 'DISCOUNTS_LIST'], ['title' => 'لیست کدهای تخفیف']);
        Permission::query()->firstOrCreate(['key' => 'DISCOUNTS_CREATE'], ['title' => 'ایجاد کد تخفیف']);
        Permission::query()->firstOrCreate(['key' => 'DISCOUNTS_SHOW'], ['title' => 'نمایش اطلاعات کد تخفیف']);
        Permission::query()->firstOrCreate(['key' => 'DISCOUNTS_UPDATE'], ['title' => 'ویرایش کد تخفیف']);
        Permission::query()->firstOrCreate(['key' => 'DISCOUNTS_DELETE'], ['title' => 'حذف کد تخفیف']);

        //Categories Permissions
        Permission::query()->firstOrCreate(['key' => 'CATEGORIES_LIST'], ['title' => 'لیست دسته بندی ها']);
        Permission::query()->firstOrCreate(['key' => 'CATEGORIES_CREATE'], ['title' => 'ایجاد دسته بندی']);
        Permission::query()->firstOrCreate(['key' => 'CATEGORIES_SHOW'], ['title' => 'نمایش اطلاعات دسته بندی']);
        Permission::query()->firstOrCreate(['key' => 'CATEGORIES_UPDATE'], ['title' => 'ویرایش دسته بندی']);
        Permission::query()->firstOrCreate(['key' => 'CATEGORIES_DELETE'], ['title' => 'حذف دسته بندی']);

        // Genre Permissions
        Permission::query()->firstOrCreate(['key' => 'GENRES_LIST'], ['title' => 'لیست ژانر ها']);
        Permission::query()->firstOrCreate(['key' => 'GENRES_CREATE'], ['title' => 'ایجاد ژانر']);
        Permission::query()->firstOrCreate(['key' => 'GENRES_SHOW'], ['title' => 'نمایش اطلاعات ژانر']);
        Permission::query()->firstOrCreate(['key' => 'GENRES_UPDATE'], ['title' => 'ویرایش ژانر']);
        Permission::query()->firstOrCreate(['key' => 'GENRES_DELETE'], ['title' => 'حذف ژانر']);

        //Comments Permissions
        Permission::query()->firstOrCreate(['key' => 'COMMENTS_LIST'], ['title' => 'لیست نظرات']);
        Permission::query()->firstOrCreate(['key' => 'COMMENTS_CREATE'], ['title' => 'ثبت نظر و پاسخ']);
        Permission::query()->firstOrCreate(['key' => 'COMMENTS_UPDATE'], ['title' => 'ویرایش نظر']);
        Permission::query()->firstOrCreate(['key' => 'COMMENTS_DELETE'], ['title' => 'حذف نظر']);

        //Orders Permissions
        Permission::query()->firstOrCreate(['key' => 'ORDERS_LIST'], ['title' => 'لیست سفارشات']);
        Permission::query()->firstOrCreate(['key' => 'ORDERS_UPDATE'], ['title' => 'ویرایش سفارش']);

        //Wallets Permissions
        Permission::query()->firstOrCreate(['key' => 'WALLETS_SHOW'], ['title' => 'نمایش اطلاعات کیف پول']);
        Permission::query()->firstOrCreate(['key' => 'WALLETS_UPDATE'], ['title' => 'ویرایش کیف پول']);

        //Transactions Permissions
        Permission::query()->firstOrCreate(['key' => 'TRANSACTIONS_LIST'], ['title' => 'لیست تراکنش ها']);
        Permission::query()->firstOrCreate(['key' => 'TRANSACTIONS_UPDATE'], ['title' => 'ویرایش تراکنش']);

        //Book Requests Permissions
        Permission::query()->firstOrCreate(['key' => 'BOOK-REQUESTS_LIST'], ['title' => 'لیست درخواست های کتاب']);
        Permission::query()->firstOrCreate(['key' => 'BOOK-REQUESTS_DELETE'], ['title' => 'حذف درخواست کتاب']);

        //Categories Permissions
        Permission::query()->firstOrCreate(['key' => 'SLIDERS_LIST'], ['title' => 'لیست اسلایدرها']);
        Permission::query()->firstOrCreate(['key' => 'SLIDERS_CREATE'], ['title' => 'ایجاد اسلایدر']);
        Permission::query()->firstOrCreate(['key' => 'SLIDERS_SHOW'], ['title' => 'نمایش اطلاعات اسلایدر']);
        Permission::query()->firstOrCreate(['key' => 'SLIDERS_UPDATE'], ['title' => 'ویرایش اسلایدر']);
        Permission::query()->firstOrCreate(['key' => 'SLIDERS_DELETE'], ['title' => 'حذف اسلایدر']);

        //Banners Permissions
        Permission::query()->firstOrCreate(['key' => 'BANNERS_LIST'], ['title' => 'لیست بنرها']);
        Permission::query()->firstOrCreate(['key' => 'BANNERS_CREATE'], ['title' => 'ایجاد بنر']);
        Permission::query()->firstOrCreate(['key' => 'BANNERS_SHOW'], ['title' => 'نمایش اطلاعات بنر']);
        Permission::query()->firstOrCreate(['key' => 'BANNERS_UPDATE'], ['title' => 'ویرایش بنر']);
        Permission::query()->firstOrCreate(['key' => 'BANNERS_DELETE'], ['title' => 'حذف بنر']);

        //Collaborators Permissions
        Permission::query()->firstOrCreate(['key' => 'COLLABORATORS_LIST'], ['title' => 'لیست مسئولان کتاب']);
        Permission::query()->firstOrCreate(['key' => 'COLLABORATORS_CREATE'], ['title' => 'ایجاد مسئول کتاب']);
        Permission::query()->firstOrCreate(['key' => 'COLLABORATORS_SHOW'], ['title' => 'نمایش اطلاعات مسئول کتاب']);
        Permission::query()->firstOrCreate(['key' => 'COLLABORATORS_UPDATE'], ['title' => 'ویرایش مسئول کتاب']);
        Permission::query()->firstOrCreate(['key' => 'COLLABORATORS_DELETE'], ['title' => 'حذف مسئول کتاب']);

        //Collections Permissions
        Permission::query()->firstOrCreate(['key' => 'COLLECTIONS_LIST'], ['title' => 'لیست مجموعه ها']);
        Permission::query()->firstOrCreate(['key' => 'COLLECTIONS_CREATE'], ['title' => 'ایجاد مجموعه']);
        Permission::query()->firstOrCreate(['key' => 'COLLECTIONS_SHOW'], ['title' => 'نمایش اطلاعات مجموعه']);
        Permission::query()->firstOrCreate(['key' => 'COLLECTIONS_UPDATE'], ['title' => 'ویرایش مجموعه']);
        Permission::query()->firstOrCreate(['key' => 'COLLECTIONS_DELETE'], ['title' => 'حذف مجموعه']);

        Permission::query()->firstOrCreate(['key' => 'SETTINGS_LIST'], ['title' => 'لیست تنظیمات']);

        Permission::query()->firstOrCreate(['key' => 'NOTIFICATIONS_LIST'], ['title' => 'لیست اعلانات']);

        Permission::query()->firstOrCreate(['key' => 'ACCOUNTING_LIST'], ['title' => 'حسابداری']);

        $permissionIds = Permission::query()->get()->pluck('id');

        $role->permissions()->sync($permissionIds);
    }
}
