<?php

namespace App\Console\Commands;

use App\Models\Setting;
use Illuminate\Console\Command;

class GenerateSetting extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:setting';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate Site Settings';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $settings = [
            Setting::ADDRESS => [
                'fa' => 'خیابان فلان، کوچه فلان',
            ],
            Setting::MOBILE => [
                'fa' => '+98-9128523154',
            ],
            Setting::PHONE => [
                'fa' => '+21-44895677',
            ],
            Setting::WORK_HOUR => [
                'fa' => '9 الی 21',
                'en' => '9 to 21'
            ],
            Setting::CREDIT_CARD_NUMBER => [
                'fa' => '6104-3374-5858-9000'
            ],
            Setting::CREDIT_CARD_OWNER => [
                'fa' => 'مجتبی',
                'en' => 'mojtaba'
            ]
        ];

        foreach ($settings as $key => $setting) {
            $newSetting = Setting::create([
                'key' => $key
            ]);

            foreach ($setting as $locale => $localeSetting) {
                $newSetting->translates()->create([
                    'language_locale' => $locale,
                    'value' => $localeSetting
                ]);
            }
        }

        return 0;
    }
}
