<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;

class InitialGenerators extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:init';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Run Necessary Commands to Run Application';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->info('Generating Countries...');
        Artisan::call('generate:country');
        $this->info('Countries Generated!');

        $this->info('');

        $this->info('Generating Languages...');
        Artisan::call('generate:language');
        $this->info('Languages Generated!');

        $this->info('');

        $this->info('Generating Categories...');
        Artisan::call('generate:category');
        $this->info('Categories Generated!');

        $this->info('');

        $this->info('Generating Genres...');
        Artisan::call('generate:genre');
        $this->info('Categories Genres!');

        $this->info('');

        $this->info('Generating Currencies...');
        Artisan::call('generate:currency');
        $this->info('Currencies Generated!');

        $this->info('');

        $this->info('Generating Settings...');
        Artisan::call('generate:setting');
        $this->info('Settings Generated!');

        $this->info('');

        $this->info('Generating Role & Permissions...');
        Artisan::call('generate:role_permission');
        $this->info('Role & Permissions Generated!');

        $this->info('');

        $this->info('Generating Admin...');
        Artisan::call('make:admin', [
            '--name' => 'Admin',
            '--email' => 'admin@gmail.com',
            '--password' => '12345678',
        ]);
        $this->info('Admin Generated!');

        return 0;
    }
}
