<?php

namespace App\Contracts;

use Closure;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Str;
use function request;

abstract class Filter
{
    public function handle($builder, Closure $next)
    {
        if (!request()->has($this->getFilterName()) || !request($this->getFilterName())) {
            return $next($builder);
        }

        if (is_array(request($this->getFilterName())) && !count(request($this->getFilterName())))
            return $next($builder);

        $this->applyFilter($builder);
        return $next($builder);
    }

    abstract public function applyFilter($builder): Builder;

    public function getFilterName(): string
    {
        return Str::snake(class_basename($this));
    }
}
