<?php

namespace App\Contracts;

use App\Scopes\TranslateScope;
use Illuminate\Database\Eloquent\Model;

abstract class TranslateModel extends Model
{
    protected $with = ['translates'];

//    protected $appends = ['translate', 'currentTranslate'];

    protected $translateForeignKey;
    protected $translateLocalKey;

    protected static function booted()
    {
//        static::addGlobalScope(new TranslateScope());
    }

    public function translates()
    {
        $model = "\\App\\Models\\" . class_basename($this) . "Language";
        if (!class_exists($model))
            return null;
        return $this->hasMany($model, $this->translateForeignKey, $this->translateLocalKey);
    }

    public function getTranslateAttribute()
    {
        if (!$this->relationLoaded('translates'))
            $this->load('translates');

        $translate = $this->translates->where('language_locale', app()->getLocale())->first();

        return $translate ?? $this->translates->first();
    }

    public function getCurrentTranslateAttribute()
    {
        if (!$this->relationLoaded('translates'))
            $this->load('translates');

        return $this->translates->where('language_locale', app()->getLocale())->first();
    }
}
