<?php

namespace App\Exceptions;

use Exception;
use JetBrains\PhpStorm\Internal\LanguageLevelTypeAware;

class FailedResponseException extends Exception
{
    private mixed $data;
    private int $status;

    public function __construct(string $message = "", int $code = 0, mixed $data = null, int $status = 200, ?Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->data = $data;
        $this->status = $status;
    }

    public function getData()
    {
        return $this->data;
    }

    public function getStatus()
    {
        return $this->status;
    }
}
