<?php

namespace App\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method static string generate($size = 255)
 * @method static bool save($key, $code, $ttl = null)
 * @method static bool exists($key)
 * @method static bool verify($key, $code)
 * @method static mixed get($key)
 * @method static bool forget($key)
 * @see \App\Helper\DeviceToken
 */
class DeviceToken extends Facade
{
    const ACCESSOR = 'DeviceToken';

    protected static function getFacadeAccessor(): string
    {
        return static::ACCESSOR;
    }

    public static function registerFacade(): void
    {
        app()->singleton(static::ACCESSOR, fn() => new \App\Helper\DeviceToken());
    }
}
