<?php

namespace App\Filters\Admin\Accounting;

use App\Contracts\Filter;
use App\Helper\Enum;
use Illuminate\Database\Eloquent\Builder;

class Role extends Filter
{

    public function applyFilter($builder): Builder
    {
        if (request('role') === 'ALL')
            return $builder->where(function ($q) {
                $q->where('role', Enum::PUBLISHER)
                    ->orWhere('role', Enum::MARKETER);
            });

        return $builder->where('role', request('role'));
    }
}
