<?php

namespace App\Filters\Admin\ContactUs;

use App\Contracts\Filter;
use App\Models\ContactUs;
use Illuminate\Database\Eloquent\Builder;

class Status extends Filter
{

    public function applyFilter($builder): Builder
    {
        if (request('status') === 'ALL')
            return $builder;

        if (request('status') === 'INVESTIGATED') {
            $builder->where(function ($q) {
                $q->where('status', ContactUs::ANSWERED)
                    ->orWhere('status', ContactUs::INVESTIGATED);
            });
        }

        return $builder->where('status', request('status'));
    }
}
