<?php

namespace App\Filters;

use App\Contracts\Filter;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Str;

class ProductType extends Filter
{
    public function applyFilter($builder): Builder
    {
        $type = is_array(request('product_type')) ? request('product_type') : [request('product_type')];
        return $builder->where(function ($q) use ($type) {
            $q->whereIn('type', $type)->orWhereIn('secondary_type', $type);
        });
    }
}
