<?php

namespace App\Helper;

use App\Models\Imageable;
use App\Models\Marketer;
use App\Models\PublisherProfile;
use Illuminate\Database\Eloquent\Model;

class Image
{
    public static function markAsPermanent(Model $model, array|string $images): bool
    {
        $images = is_array($images) ? $images : [$images];

        $updatedItemsCount = Imageable::query()->whereNull('imageable_id')->whereNull('imageable_type')->whereIn('path', $images)->update([
            'imageable_id' => $model->id,
            'imageable_type' => get_class($model),
            'expired_at' => null,
        ]);

        return $updatedItemsCount === count($images);
    }
}
