<?php

namespace App\Helper;

use Illuminate\Support\Facades\Http;
use Illuminate\Support\Str;

class Location
{
    protected function getUrl($ip): string
    {
        return "https://ipapi.co/$ip/json";
    }

    public function get($ip = null)
    {
        return $this->process($ip ?? request()->ip());
    }

    protected function process($ip): object|null
    {
        try {
            $response = Http::get($this->getUrl($ip))->object();

            if (!$response || isset($response->error))
                return null;

            return $this->map($response);

        } catch (\Exception $e) {
            return null;
        }
    }

    protected function map(object $response)
    {
        $response->language = Str::before($response->languages, '-');

        return $response;
    }
}
