<?php

namespace App\Http\Controllers;

use App\Http\Resources\AboutUsResource;
use App\Models\AboutUs;
use App\Models\Setting;
use Illuminate\Http\Request;

class AboutUsController extends Controller
{
    public function index()
    {
        $aboutUs = AboutUs::query()
            ->orderBy('order')
            ->get();

        $setting = Setting::query()->where('key', Setting::ABOUT_US_DESCRIPTION)->first();

        return successResponse([
            'description' => $setting?->translate?->value,
            'about_us' => AboutUsResource::collection($aboutUs)
        ]);
    }
}
