<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\GiftPriceRequest;
use App\Http\Resources\Admin\GiftPriceResource;
use App\Models\GiftPrice;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class GiftPriceController extends Controller
{
    public function __construct()
    {
        $this->middleware('can:SETTINGS_LIST');
    }

    public function index()
    {
        $giftPrices = GiftPrice::query()->orderBy('currency_code')->get();
        $prices = [];
        foreach ($giftPrices as $price) {
            $prices[$price->currency_code][] = $price->price;
        }
        return successResponse($prices);
    }

    public function update(GiftPriceRequest $request)
    {
        return DB::transaction(function () {
            
            foreach (\request('prices', []) as $currency => $prices) {
                $giftPrices = GiftPrice::query()->where('currency_code', $currency)->get();
                foreach ($giftPrices as $key => $giftPrice) {
                    $giftPrice->update(['price' => $prices[$key]]);
                }
            }

            return successResponse(null);
        });
    }
}
