<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Product;
use Illuminate\Http\Request;

class ProductCountryController extends Controller
{

    public function updateProductCountry(Request $request, Product $product)
    {
        $data = $request->validate([
            'countries' => ['nullable', 'array'],
            'countries.*' => ['nullable', 'numeric', 'exists:countries,id'],
        ]);

        $product->limitedCountries()->sync($data['countries']);

        return successResponse(null);
    }

    public function removeProductCountry(Product $product)
    {
        $product->limitedCountries()->detach();

        return successResponse(null);
    }
}
