<?php

namespace App\Http\Controllers\Admin;

use App\Helper\FailedResponseCode;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\ProfileRequest;
use App\Http\Resources\Admin\AdminResource;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class ProfileController extends Controller
{
    public function index()
    {
        $admin = auth('admin')->user();

        $admin?->load(['role.permissions']);

        return successResponse(new AdminResource($admin));
    }

    public function updateProfile(ProfileRequest $request)
    {
        $admin = auth('admin')->user();

        return $admin?->update($request->validated())
            ? successResponse(null)
            : failedResponse(trans('failed-messages.failed_operation'), FailedResponseCode::FAILED_OPERATION);
    }

    public function updatePassword(ProfileRequest $request)
    {
        $admin = auth('admin')->user();

        return $admin?->update(['password' => bcrypt($request->validated()['password'])])
            ? successResponse(null)
            : failedResponse(trans('failed-messages.failed_operation'), FailedResponseCode::FAILED_OPERATION);
    }
}
