<?php

namespace App\Http\Controllers\Auth;

use App\Helper\FailedResponseCode;
use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\ForgetPasswordRequest;
use App\Services\Auth\ForgetPasswordService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ForgetPasswordController extends Controller
{
    public function requestCode(ForgetPasswordRequest $request, ForgetPasswordService $service, string $userType): JsonResponse
    {
        $code = $service->setData($request->validated() + ['user_type' => $userType])
            ->userExists()
            ->requestCode();

        return successResponse([
            'code' => $code
        ]);

    }

    public function verifyCode(ForgetPasswordRequest $request, ForgetPasswordService $service, string $userType): JsonResponse
    {
        $data = $service->setData($request->validated() + ['user_type' => $userType])
            ->userExists()
            ->verifyCode();

        return successResponse($data);
    }

    public function changePassword(ForgetPasswordRequest $request, ForgetPasswordService $service, string $userType): JsonResponse
    {
        $data = $service->setData($request->validated() + ['user_type' => $userType])
            ->userExists()
            ->changePassword();

        return successResponse($data);
    }
}
