<?php

namespace App\Http\Controllers\Auth;

use App\Helper\FailedResponseCode;
use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\OTPRequest;
use App\Services\Auth\OTPService;
use Illuminate\Http\Request;

class OTPController extends Controller
{
    public function sendOTP(OTPRequest $request, OTPService $service, string $userType)
    {
        $code = $service->sendCode($request->validated() + ['user_type' => $userType]);

        if (!$code) {
            return failedResponse(trans('failed-messages.send_otp'), FailedResponseCode::SEND_OTP);
        }

        return successResponse([
//            'code' => $code
        ]);
    }

    public function verifyOTP(OTPRequest $request, OTPService $service, string $userType)
    {
        return $service->verifyCode($request->validated() + ['user_type' => $userType])
            ? successResponse(null)
            : failedResponse(trans('failed-messages.otp_invalid'), FailedResponseCode::OTP_INVALID);
    }
}
