<?php

namespace App\Http\Controllers;

use App\Helper\Enum;
use App\Http\Resources\Marketer\MarketerResource;
use App\Http\Resources\Publisher\PublisherResource;
use App\Http\Resources\User\UserResource;
use Illuminate\Http\Request;

class AuthenticatedInfoController extends Controller
{
    public function show()
    {
        $user = auth()->user();

        if ($user->role === Enum::USER) {
            return successResponse([
                'user' => new UserResource($user)
            ]);

        } elseif ($user->role === Enum::PUBLISHER) {
            $user->load(['publisherProfile', 'documents']);

            return successResponse([
                'publisher' => new PublisherResource($user)
            ]);
        }

        $user->load('documents');

        return successResponse([
            'marketer' => new MarketerResource($user)
        ]);
    }
}
