<?php

namespace App\Http\Controllers;

use App\Helper\Enum;
use App\Models\BookRequest;
use Illuminate\Http\Request;

class BookRequestController extends Controller
{
    public function store(Request $request)
    {
        $data = $request->validate([
            'book_name' => ['required', 'string', 'min:3', 'max:100'],
            'author_name' => ['required', 'string', 'min:3', 'max:100'],
            'publisher_name' => ['required', 'string', 'min:3', 'max:100']
        ]);

        if (($user = auth()->user()) && $user->role === Enum::USER)
            $data['user_id'] = $user->id;

        $bookRequest = BookRequest::create($data);

        return successResponse([
            'id' => $bookRequest->id,
            'book_name' => $bookRequest->book_name,
            'author_name' => $bookRequest->author_name,
            'publisher_name' => $bookRequest->publisher_name,
        ]);
    }
}
