<?php

namespace App\Http\Controllers;

use App\Models\Country;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Config;

class CountryController extends Controller
{
    public function index()
    {
        $countries = Cache::rememberForever('countries', fn() => Country::query()->select('id', 'iso', 'nickname', 'phone_code')->get());

        return successResponse([
            'countries' => $countries
        ]);
    }
}
