<?php

namespace App\Http\Controllers;

use App\Helper\FailedResponseCode;
use App\Http\Resources\DevicesListResource;
use App\Models\Device;
use App\Services\DeviceService;
use Illuminate\Http\Request;

class DeviceController extends Controller
{
    public function index()
    {
        return successResponse([
            'devices'=>DevicesListResource::collection(auth()->user()->devices)
        ]);
    }

    public function destroy(string $userType, Device $device)
    {
        return DeviceService::disconnect(auth()->user(), $device)
            ? successResponse(null)
            : failedResponse(trans('failed-messages.failed_operation'), FailedResponseCode::FAILED_OPERATION);
    }
}
