<?php

namespace App\Http\Controllers;

use App\Helper\Enum;
use App\Http\Resources\CategoryResource;
use App\Http\Resources\CollaboratorResource;
use App\Http\Resources\GenreResource;
use App\Http\Resources\PublisherResource;
use App\Models\Category;
use App\Models\Collaborator;
use App\Models\Genre;
use App\Models\Product;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class FilterInfoController extends Controller
{
    public function index()
    {
        return successResponse([
            'categories' => CategoryResource::collection(Category::query()->with('subCategories.subCategories')->whereNull('category_id')->get()),
            'genres' => GenreResource::collection(Genre::query()->get()),
            'collaborators' => CollaboratorResource::collection(Collaborator::query()->active()->limit(100)->get()),
            'publishers' => PublisherResource::collection(User::query()->with('publisherProfile')->wherePublisher()->active()->limit(100)->get()),
        ]);
    }
}
