<?php

namespace App\Http\Controllers;

use App\Http\Resources\GuideResource;
use App\Models\Guide;
use App\Models\Setting;
use Illuminate\Http\Request;

class GuideController extends Controller
{
    public function index()
    {
        $guids = Guide::query()
            ->orderBy('order')
            ->get();

        $setting = Setting::query()->where('key', Setting::GUIDE_DESCRIPTION)->first();

        return successResponse([
            'description' => $setting?->translate?->value,
            'guids' => GuideResource::collection($guids)
        ]);
    }
}
