<?php

namespace App\Http\Controllers\Marketer;

use App\Helper\Enum;
use App\Http\Controllers\Controller;
use App\Http\Resources\Marketer\MyPublisherResource;
use App\Http\Resources\Publisher\PublisherResource;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class PublisherController extends Controller
{
    public function index()
    {
        $user = auth()->user();
        $user?->load([
            'invitedUsers' => function ($q) {
                $q->with('publisherProfile')->where('role', Enum::PUBLISHER)->orderBy('created_at', \request('sort_by') && Str::upper(\request('sort_by')) === 'ASC' ? 'ASC' : 'DESC');
            }
        ]);

        return successResponse(MyPublisherResource::collection($user->invitedUsers));
    }
}
