<?php

namespace App\Http\Controllers\Publisher\Auth;

use App\Helper\Enum;
use App\Helper\FailedResponseCode;
use App\Http\Controllers\Controller;
use App\Http\Resources\Publisher\PublisherResource;
use App\Models\PublisherProfile;
use App\Traits\UsernameLoginTrait;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class LoginController extends Controller
{
    use UsernameLoginTrait;

    protected function role()
    {
        return Enum::PUBLISHER;
    }

    public function resource($client)
    {
        $client->load(['publisherProfile','documents']);
        return new PublisherResource($client);
    }
}
