<?php

namespace App\Http\Controllers\Publisher\Auth;

use App\Helper\Enum;
use App\Http\Controllers\Controller;
use App\Http\Requests\Publisher\RegisterRequest;
use App\Models\PublisherProfile;
use App\Services\Publisher\Auth\RegisterService;

class RegisterController extends Controller
{
    public function register(RegisterRequest $request, RegisterService $service)
    {
        $data = $service
            ->setUserType(Enum::PUBLISHER)
            ->verifyRegistration($request->validated())
            ->register();

        return successResponse($data);
    }
}
