<?php

namespace App\Http\Controllers\Publisher\Profile;

use App\Helper\FailedResponseCode;
use App\Http\Controllers\Controller;
use App\Http\Requests\Publisher\ProfileRequest;
use App\Services\Publisher\Profile\ProfileService;
use Illuminate\Http\Request;

class ProfileController extends Controller
{
    public function update(ProfileRequest $request, ProfileService $service)
    {
        $user = auth()->user();
        $user->load('publisherProfile');

        $data = (object)$request->validated();
        $service->setData($data)->setUser($user);

//        if ((isset($data->mobile) && isset($data->country_code)) && ($data->mobile !== $user->mobile || $data->country_code !== $user->country_code)) {
//            $status = $service->verify($data->mobile)->updateMobile();
//        } else {
            $status = $service->updateInfo();
//        }

        return $status
            ? successResponse(null)
            : failedResponse(trans('failed-messages.profile_update_failed'), FailedResponseCode::PROFILE_UPDATE_FAILED);

    }
}
