<?php

namespace App\Http\Controllers;

use App\Helper\FailedResponseCode;
use App\Http\Requests\ResetPasswordRequest;
use App\Services\ResetPasswordService;
use Illuminate\Http\Request;

class ResetPasswordController extends Controller
{
    public function resetPassword(ResetPasswordRequest $request, ResetPasswordService $service)
    {
        $user = auth()->user();
        $status = $service->setClient($user)->resetPassword($request->validated()['password']);

        return $status
            ? successResponse(null)
            : failedResponse(trans('failed-messages.password_update_failed'), FailedResponseCode::PASSWORD_UPDATE_FAILED);
    }
}
