<?php

namespace App\Http\Controllers\User\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\User\Auth\AuthenticateRequest;
use App\Services\User\Auth\AuthenticateService;
use Illuminate\Http\JsonResponse;

class AuthController extends Controller
{
    public function authenticate(AuthenticateRequest $request, AuthenticateService $service): JsonResponse
    {
        $data = (object)$request->validated();
        if (($data->mobile ?? null) && ($data->country_code ?? null)) {
            return successResponse($service->loginWithMobile($data));
        }

        return successResponse($service->loginWithEmail($data));
    }
}
