<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Http\Resources\ProductResource;
use App\Models\Product;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class BookmarkController extends Controller
{
    public function index(): JsonResponse
    {
        $user = auth()->user();
        $user->load(['bookmarkedProducts' => function ($q) {
            $q->with(['translates' => function ($q) {
                $q->with(['collaborators', 'files' => function ($q) {
                    $q->where('type', Product::COVER_FILE);
                }]);
            }]);
        }]);

        return successResponse([
            'bookmarks' => ProductResource::collection($user->bookmarkedProducts)
        ]);
    }

    public function store(Product $product): JsonResponse
    {
        $product->userBookmarks()->toggle(auth()->id());

        return successResponse(null);
    }
}
