<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CrossOriginMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse) $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {

        if ($request->isMethod('OPTIONS')) {
            $response = response('', 200);
        } else {
//          Pass the request to the next middleware
            $response = $next($request);
        }
//        if ($response instanceof Response) {
            // Adds headers to the response
            $response->header('Access-Control-Allow-Origin', "*");// $origin
            $response->header('Access-Control-Allow-Methods', 'OPTIONS, HEAD, GET, POST, PUT, PATCH, DELETE');
            $response->header('Access-Control-Allow-Headers', $request->header('Access-Control-Request-Headers'));
//        }

//        }

        // Sends it
        return $response;
    }
}
