<?php

namespace App\Http\Middleware;

use App\Facades\DeviceToken;
use App\Helper\FailedResponseCode;
use App\Http\Resources\DevicesListResource;
use App\Services\DeviceService;
use Closure;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Str;

class DeviceLimitationMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\JsonResponse
     */
    public function handle(Request $request, Closure $next)
    {
        return $next($request);

        $currentRouteMiddlewares = Route::current()->computedMiddleware;

        if ($currentRouteMiddlewares && !in_array('auth:api', $currentRouteMiddlewares) && !in_array('scope:user-access', $currentRouteMiddlewares))
            return $next($request);

        $user = auth()->user();

        if (!$user || !$user->tokenCan('user-access'))
            return $next($request);

        $user->load('devices');


        if (!DeviceService::isAuthorized($user)) {
            $user->token()->revoke();

            abort(401, 'Unauthenticated');
        }

        $user->unsetRelation('devices');

        return $next($request);
    }
}
