<?php

namespace App\Http\Middleware;

use App\Models\Country;
use Closure;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Stevebauman\Location\Facades\Location;

class IPLocation
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return Response|RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        return $next($request);

        $ip = request()->ip();
//        $ip = 'ip.' . request()?->ip();
        if (cache()->has($ip) && cache()->get($ip))
            return $next($request);

        cache()->forget($ip);

        try {
            $location = Location::get($ip);
            cache()->rememberForever($ip, fn() => Country::query()->where('iso', $location?->countryCode)->first());
        } catch (\Exception $e) {
            abort(404);
        }

        return $next($request);
    }
}
