<?php

namespace App\Http\Middleware;

use App\Facades\Location;
use App\Models\Language;
use Carbon\Carbon;
use Closure;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Str;

class Localization
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return Response|RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $locales = app('allLanguages')->pluck('locale');

        if (\request()->has('lang') && $locales->contains(\request('lang'))) {
            app()->setLocale(Str::lower(\request('lang')));
            return $next($request);
        }

        if ($request->hasHeader('X-Localization') && $locales->contains($request->header('X-Localization'))) {
            app()->setLocale(Str::lower($request->header('X-Localization')));
            return $next($request);
        }

//        $location = Location::get();
//
//        if (!$location) {
//            return $next($request);
//        }
//
//        if (!$locales->contains($location->language)) {
//            return $next($request);
//        }

//        config(['app.timezone' => $location->timezone]);
//        date_default_timezone_set($location->timezone);
        app()->setLocale('fa');

        return $next($request);
    }
}
