<?php

namespace App\Http\Middleware;

use App\Exceptions\FailedResponseException;
use App\Helper\Enum;
use App\Helper\FailedResponseCode;
use Closure;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Str;

class RoleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return Response|RedirectResponse
     */
    public function handle(Request $request, Closure $next, $role)
    {
        $user = auth()->user();
        if (!$user || !$user->tokenCan('user-access') || $user->role != Str::upper($role))
            abort(401, 'Unauthenticated');

        return $next($request);
    }
}
