<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Route;
use Illuminate\Validation\Rule;

class AdminRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'name' => ['required', 'string', 'min:3', 'max:60'],
            'email' => ['required', 'email', Route::currentRouteName() === 'api.admin.admins.store'
                ? Rule::unique('admins', 'email')
                : Rule::unique('admins', 'email')->ignore($this->route('admin'))],
            'password' => Route::currentRouteName() === 'api.admin.admins.store' ? ['required', 'confirmation'] : ['nullable', 'confirmation', 'string', 'min:8', 'max:30'],
            'role_id' => ['required', 'numeric', 'exists:roles,id']
        ];
    }
}
