<?php

namespace App\Http\Requests\Admin;

use App\Models\Language;
use Illuminate\Foundation\Http\FormRequest;

class CategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [
            'category_id' => ['nullable', 'exists:categories,id'],
            'icon' => ['nullable', 'image'],
            'is_purchasable' => ['nullable', 'boolean'],
            'details' => ['nullable', 'string']
        ];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}.title"] = ['required', 'string'];
        }

        return $rules;
    }
}
