<?php

namespace App\Http\Requests\Admin;

use App\Helper\Enum;
use App\Models\Collaborator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CollaboratorRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [
            'type' => ['required', 'string', Rule::in(Collaborator::AUTHOR, Collaborator::SPEAKER, Collaborator::TRANSLATOR)],
            'status' => ['required', 'string', Rule::in(Enum::STATUS_ACTIVE, Enum::STATUS_PENDING, Enum::STATUS_INACTIVE)],
        ];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}.name"] = ['required', 'string'];
        }

        return $rules;
    }
}
