<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class FAQRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [
            'faq_group_id' => ['required', 'exists:faq_groups,id']
        ];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}.title"] = ['required', 'string'];
            $rules["translates.{$language->locale}.content"] = ['required', 'string'];
        }

        return $rules;
    }
}
