<?php

namespace App\Http\Requests\Admin;

use App\Models\Currency;
use Illuminate\Foundation\Http\FormRequest;

class GiftPriceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [];

        foreach (Currency::all() as $currency) {
            $rules["prices.{$currency->currency}"] = ['required', 'array', 'size:3'];
            $rules["prices.{$currency->currency}.*"] = ['required', 'numeric', 'min:1'];
        }

        return $rules;
    }
}
