<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class LoginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'email' => ['required', 'email', 'exists:admins'],
            'password' => ['required', 'string', 'max:30']
        ];
    }

    public function messages()
    {
        return [
            'email.exists' => trans('failed-messages.invalid_credentials')
        ];
    }
}
