<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class ProductSectionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {

        $rules = [
            'category' => ['nullable', 'exists:categories,id'],
            'collaborator' => ['nullable', 'exists:collaborators,id'],
            'user' => ['nullable', 'exists:users,id'],
            'genre' => ['nullable', 'exists:genres,id'],
        ];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}.title"] = ['required', 'string'];
        }

        return $rules;
    }
}
