<?php

namespace App\Http\Requests\Admin;

use App\Rules\CurrentPasswordRule;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Route;
use Illuminate\Validation\Rule;

class ProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        if (Route::currentRouteName() === 'api.admin.profile.update') {
            return [
                'name' => ['required', 'string'],
                'email' => ['required', 'email', Rule::unique('admins')->ignore(auth('admin')->user())],
            ];
        }

        return [
            'current_password' => ['required', 'string', new CurrentPasswordRule(auth('admin')->user())],
            'password' => ['required', 'string', 'min:8', 'max:20', 'confirmed']
        ];

    }
}
