<?php

namespace App\Http\Requests\Admin;

use App\Helper\Enum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class SliderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [
            'product_id' => ['nullable', 'numeric', 'exists:products,id'],
            'link' => ['nullable', 'url'],
            'status' => ['required', 'string', Rule::in(Enum::STATUS_ACTIVE, Enum::STATUS_INACTIVE)],
            'translates' => ['required', 'array']
        ];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}.slide"] = ['required', 'string'];
            $rules["translates.{$language->locale}.mobile_slide"] = ['required', 'string'];
        }

        return $rules;
    }
}
