<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class TermRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [];

        foreach (app('languages') as $language) {
            $rules["translates.{$language->locale}"] = ['required', 'array'];
            $rules["translates.{$language->locale}.title"] = ['nullable', 'string'];
            $rules["translates.{$language->locale}.text"] = ['required', 'string'];
        }

        return $rules;
    }
}
