<?php

namespace App\Http\Requests\Admin;

use App\Helper\Enum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;

class UserStatusRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'status' => ['required', 'string', Rule::in([Enum::STATUS_ACTIVE, Enum::STATUS_INACTIVE])]
        ];
    }

    public function prepareForValidation()
    {
        return $this->merge([
            'status' => Str::upper(request('status'))
        ]);
    }
}
