<?php

namespace App\Http\Requests\Auth;

use App\Helper\Enum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;

class ForgetPasswordRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $rules = [
            'email' => ['required', 'email']
        ];

        if (Route::currentRouteName() === 'api.auth.forget-password.verify') {
            $rules['otp'] = ['required', 'numeric'];
        } else if (Route::currentRouteName() === 'api.auth.forget-password.change') {
            $rules['token'] = ['required', 'string'];
            $rules['password'] = ['required', 'string', 'min:8', 'max:20', 'confirmed'];
        }

        return $rules;
    }
}
