<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreditCardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'currency' => ['required', 'string', 'exists:currencies'],
            'number' => ['required', 'regex:/^[\d-]+$/', 'min:16'],
            'owner' => ['required', 'string', 'min:3', 'max:100']
        ];
    }
}
