<?php

namespace App\Http\Requests;

use App\Rules\CurrentPasswordRule;
use Illuminate\Foundation\Http\FormRequest;

class ResetPasswordRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $client = auth()->user();
        return [
            'current_password' => [$client->password ? 'required' : 'nullable', 'string', new CurrentPasswordRule($client)],
            'password' => ['required', 'string', 'min:8', 'max:20', 'confirmed']
        ];
    }
}
