<?php

namespace App\Http\Requests\User;

use App\Models\Product;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;

class CartRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'language' => ['required', 'string', Rule::in($this->product->translates->pluck('language_locale')->toArray())],
            'type' => ['required', 'string', Rule::in([Product::ELECTRONIC_BOOK, Product::AUDIO_BOOK, Product::MAGAZINE, Product::PODCAST])],
        ];
    }

    protected function prepareForValidation()
    {
        $this->merge([
            'language' => Str::lower($this->language),
            'type' => Str::upper($this->type)
        ]);
    }
}
