<?php

namespace App\Http\Requests\User;

use App\Models\Currency;
use Illuminate\Foundation\Http\FormRequest;

class ChargeWalletRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $wallet = $this->route('wallet');
        $wallet->load('currency');

        $rules = [
            'amount' => ['required', 'numeric', 'min:1'],
        ];

        if ($wallet->currency->receipt) {
            $rules['receipt'] = ['required', 'image', 'mimes:jpeg,jpg,png', 'max:5120'];
        }

        return $rules;
    }
}
