<?php

namespace App\Http\Requests\User;

use App\Helper\Currency;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;

class GiftRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'gift_price' => ['required', 'numeric', 'exists:gift_prices,id'],
            'receiver_name' => ['required', 'string'],
            'receiver_email' => ['required', 'email'],
            'message' => ['nullable', 'string'],
            'send_at' => ['nullable', 'date'],
            'currency' => ['required', 'string', 'exists:currencies,currency'],
            'wallet' => ['required', 'numeric', 'in:0,1']
        ];
    }

    protected function prepareForValidation()
    {
        $this->merge([
            'currency' => Str::upper($this->currency)
        ]);
    }
}
