<?php

namespace App\Http\Requests\User;

use App\Models\Product;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;

class ReaderPercentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'product_type' => ['required', 'string', Rule::in([Product::ELECTRONIC_BOOK, Product::AUDIO_BOOK, Product::MAGAZINE, Product::PODCAST])],
            'product_lang' => ['required', 'string', 'exists:languages,locale'],
            'value' => ['required', 'numeric'],
            'location' => ['required', 'string']
        ];
    }

    protected function prepareForValidation()
    {
        $this->merge([
            'product_type' => Str::upper($this->product_type),
            'product_lang' => Str::lower($this->product_lang)
        ]);
    }
}
