<?php

namespace App\Http\Resources\Admin;

use App\Http\Resources\CreditCardResource;
use App\Http\Resources\WalletResource;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class AccountingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'fullname' => $this->fullname,
            'country_code' => $this->country_code,
            'mobile' => $this->mobile,
            'email' => $this->email,
            'status'=>Str::lower($this->status),
            'role'=>Str::lower($this->role),
            'credit_cards' => CreditCardResource::collection($this->creditCards),
            'wallets' => WalletResource::collection($this->wallets),
        ];
    }
}
