<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class CategoryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $translates = [];
        foreach ($this->translates as $translate) {
            $translates[$translate->language_locale] = [
                'title' => $translate->title
            ];
        }

        return [
            'id' => $this->id,
            'icon' => $this->icon ? Storage::url($this->icon) : null,
            'category_id' => $this->category_id,
            'is_purchasable' => $this->is_purchasable,
            'details' => $this->details,
            'title' => $this->translate->title,
            'translates' => $translates,
            'parent_category' => new static($this->whenLoaded('parentCategory')),
            'sub_categories' => static::collection($this->whenLoaded('subCategories'))
        ];
    }
}
