<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class CollaboratorResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $translates = [];
        foreach ($this->translates as $translate) {
            $translates[$translate->language_locale] = [
                'name' => $translate->name
            ];
        }

        return [
            'id' => $this->id,
            'name' => $this->translate->name,
            'type' => Str::lower($this->type),
            'status' => Str::lower($this->status),
            'translates' => $translates
        ];
    }
}
