<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class CollectionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $translates = [];
        foreach ($this->translates as $translate) {
            $translates[$translate->language_locale] = [
                'title' => $translate?->title
            ];
        }

        return [
            'id' => $this->id,
            'title' => $this->translate?->title,
            'publisher' => $this->publisher ? [
                'id' => $this->publisher?->id,
                'full_name' => trim($this->publisher?->full_name) === "" ? trans('translates.user') : $this->publisher?->full_name,
                'publisher_name' => $this->publisher?->publisherProfile?->publisher_name,
            ] : null,
            'translates' => $translates
        ];
    }
}
