<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class ContactUsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'user' => $this->user ? [
                'id' => $this->user->id,
                'full_name' => trim($this->user->full_name) === "" ? trans('translates.user') : $this->user->full_name
            ] : null,
            'os' => Str::lower($this->os),
            'title' => $this->title,
            'problem' => $this->problem,
            'description' => $this->description,
            'answer' => $this->answer,
            'country_code' => $this->country_code,
            'mobile' => $this->mobile,
            'email' => $this->email,
            'file_url' => $this->file_url,
            'status' => Str::lower($this->status),
            'read_at' => $this->read_at,
            'created_at' => $this->created_at
        ];
    }
}
