<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;

class FAQResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $translates = [];
        foreach ($this->translates as $translate) {
            $translates[$translate->language_locale] = [
                'title' => $translate->title,
                'content' => $translate->content
            ];
        }

        return [
            'id' => $this->id,
            'group_id' => $this->faq_group_id,
            'title' => $this->translate->title,
            'content' => $this->translate->content,
            'translates' => $translates,
        ];
    }
}
