<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class GuideResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $translates = [];
        foreach ($this->translates as $translate) {
            $translates[$translate->language_locale] = [
                'title' => $translate->title,
                'text' => $translate->text,
                'image' => $translate->image,
                'image_url' => $translate->image_url,
            ];
        }

        return [
            'id' => $this->id,
            'translates' => $translates,
            'title' => $this->translate?->title,
            'text' => $this->translate?->text,
            'image_url' => $this->translate?->image_url,
        ];
    }
}
