<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class OrderProductLanguageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'publisher' => $this->product?->publisher?->publisherProfile?->publisher_name,
            'title' => $this->title,
            'cover_url' => $this->cover_url,
            'type' => Str::lower($this->pivot->type),
            'locale' => $this->pivot->language_locale,
            'price' => $this->pivot->price,
            'discount' => $this->pivot->discount,
            'total_price' => $this->pivot->total_price,
        ];
    }
}
