<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class OrderProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->product->translate?->title,
            'currency' => $this->order->currency_code,
            'total_price' => $this->total_price,
            'total_price_publisher_profit' => $this->total_price_publisher_profit,
            'total_price_marketer_profit' => $this->total_price_marketer_profit,
            'total_price_site_profit' => $this->total_price_site_profit,
            'paid_at' => $this->order->paid_at
        ];
    }
}
