<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class OrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'order_number' => $this->order_number,
            'currency' => $this->currency_code,
            'amount' => $this?->amount,
            'status' => Str::lower($this->status),
            'paid_at' => $this->paid_at,
            'created_at' => $this->created_at,
            'products' => OrderProductLanguageResource::collection($this->whenLoaded('orderProductLanguages')),
            'user' => new UserResource($this->whenLoaded('user')),
            'transaction' => new TransactionResource($this->whenLoaded('transaction')),
        ];
    }
}
