<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class TransactionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'uuid' => $this->uuid,
            'user' => [
                'id' => $this->user?->id,
                'full_name' => trim($this->user->full_name) === "" ? trans('translates.user') : $this->user->full_name,
                'email' => $this->user?->email,
                'country_code' => $this->user?->country_code,
                'mobile' => $this->user?->mobile,
            ],
            'currency' => [
                'code' => $this->currency?->currency,
                'title' => $this->currency?->translate?->name,
            ],
            'transaction_id' => $this->transaction_id,
            'ref_id' => $this->ref_id,
            'driver' => Str::lower($this->driver),
            'receipt_url' => $this->receipt_url,
            'amount' => $this->amount,
            'description' => $this->description,
            'wallet_action' => Str::lower($this->wallet_action),
            'status' => Str::lower($this->status),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
