<?php

namespace App\Http\Resources\Admin;

use Illuminate\Contracts\Support\Arrayable;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;
use JsonSerializable;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array|Arrayable|JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'role' => Str::lower($this->role),
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'birth_date' => $this->birth_date,
            'email' => $this->email,
            'email_verified_at' => $this->email_verified_at,
            'mobile' => $this->mobile,
            'country_code' => $this->country_code,
            'mobile_verified_at' => $this->mobile_verified_at,
            'register_type' => Str::lower($this->register_type),
            'gender' => Str::lower($this->gender),
            'referral_code' => $this->referral_code,
            'status' => Str::lower($this->status),
            'created_at' => $this->created_at
        ];
    }
}
