<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class BannerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'product' => $this->product ? [
                'id' => $this->product->id,
                'title' => $this->product->translate->title,
                'slug' => $this->product->translate->slug,
            ] : null,
            'banner_url' => $this->translate->banner_url,
            'mobile_banner_url' => $this->translate->mobile_banner_url,
        ];
    }
}
