<?php

namespace App\Http\Resources\Marketer;

use App\Http\Resources\ImageableResource;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class MarketerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $this->load('documents');

        return [
            'id' => $this->id,
            'role' => Str::lower($this->role),
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'national_code' => $this->national_code,
            'gender' => Str::lower($this->gender),
            'country_code' => $this->country_code,
            'mobile' => $this->mobile,
            'mobile_verified_at' => $this->mobile_verified_at?->format('Y/m/d - H:i'),
            'email' => $this->email,
            'email_verified_at' => $this->email_verified_at?->format('Y/m/d - H:i'),
            'referral_code' => $this->referral_code,
            'documents' => ImageableResource::collection($this->documents)
        ];
    }
}
