<?php

namespace App\Http\Resources\Publisher;

use App\Models\Collaborator;
use App\Services\Product\ProductViewService;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class ProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'purchase_type' => Str::lower($this->translate->purchase_type),
            'type' => Str::lower($this->type),
            'secondary_type' => $this->when($this->secondary_type, $this->secondary_type ? Str::lower($this->secondary_type) : null),
            'status' => Str::lower($this->status),
            'title' => $this->translate->title,
            'slug' => $this->translate->slug,
            'description' => $this->translate->description,
            'author' => $this->translate?->collaborators?->where('type', Collaborator::AUTHOR)->first()?->translate?->name,
            'translator' => $this->translate?->collaborators?->where('type', Collaborator::TRANSLATOR)->first()?->translate?->name,
            'speaker' => $this->translate?->collaborators?->where('type', Collaborator::SPEAKER)->first()?->translate?->name,
            'cover' => $this->translate->cover_url
        ];
    }
}
