<?php

namespace App\Http\Resources\Publisher;

use App\Http\Resources\ImageableResource;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class PublisherResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        if (!$this->relationLoaded('documents')) {
            $this->load('documents');
        }

        return [
            'id' => $this->id,
            'role' => Str::lower($this->role),
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'national_code' => $this->national_code,
            'gender' => Str::lower($this->gender),
            'country_code' => $this->country_code,
            'mobile' => $this->mobile,
            'mobile_verified_at' => $this->mobile_verified_at,
            'email' => $this->email,
            'email_verified_at' => $this->email_verified_at,
            'publisher_name' => $this->publisherProfile?->publisher_name,
            'publisher_address' => $this->publisherProfile?->publisher_address,
            'phone' => $this->publisherProfile?->phone,
            'publisher_description' => $this->publisherProfile?->publisher_description,
            'publisher_email' => $this->publisherProfile?->publisher_email,
            'publisher_code' => $this->publisherProfile?->publisher_code,
            'publisher_logo_url' => $this->publisherProfile?->publisher_logo ? $this->publisherProfile?->logo_url : null,
            'post_box' => $this->publisherProfile?->post_box,
            'postal_code' => $this->publisherProfile?->postal_code,
            'documents' => ImageableResource::collection($this->documents),
            'created_at' => $this->created_at
        ];
    }
}
