<?php

namespace App\Http\Resources\User;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class PurchaseHistoryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'order_number' => $this->order_number,
            'currency' => $this->currency_code,
            'total_price' => number_format($this->total_price, $this->currency->floating_point ? 2 : 0, '.', ''),
            'total_price_format' => $this->currency->translate->name . ' ' . number_format($this->total_price, $this->currency->floating_point ? 2 : 0),
            'status' => Str::lower($this->status),
            'paid_at_date' => $this->paid_at?->format('Y/m/d'),
            'paid_at_time' => $this->paid_at?->format('H:i'),
            'covers'=>$this->orderProductlanguages->pluck('cover_url')
        ];
    }
}
