<?php

namespace App\Http\Resources\User;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $this->loadCount('cartItems');

        return [
            'id' => $this->id,
            'role' => Str::lower($this->role),
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'birth_date' => $this->birth_date?->toISOString(),
            'gender' => Str::lower($this->gender),
            'mobile' => $this->mobile,
            'country_code' => $this->country_code,
            'mobile_verified_at' => $this->mobile_verified_at,
            'email' => $this->email,
            'email_verified_at' => $this->email_verified_at,
            'referral_code' => $this->referral_code,
            'cart_items_count' => $this->cart_items_count ?? 0
        ];
    }
}
