<?php

namespace App\Http\Resources;

use Illuminate\Contracts\Support\Arrayable;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use JsonSerializable;

class WalletResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array|Arrayable|JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->uuid,
            'currency' => $this->currency_code,
            'title' => $this->currency->translate->name,
            'receipt' => (bool)$this->currency->receipt,
            'amount' => number_format($this->amount, $this->currency->floating_point ? 2 : 0, '.', ''),
            'amount_format' => $this->currency->translate->name . ' ' . number_format($this->amount, $this->currency->floating_point ? 2 : 0),
            'credit_card' => $this->when((bool)$this->currency->receipt, new CreditCardResource($this->currency?->creditCard))
        ];
    }
}
