<?php

namespace App\Mail;

use App\Helper\Enum;
use App\Models\ContactUs;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendContactUsAnswerMail extends Mailable implements ShouldQueue
{
    use Queueable, SerializesModels;

    public string $answer;
    public ContactUs $contactUs;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(ContactUs $contactUs, string $answer)
    {
        $this->answer = $answer;
        $this->contactUs = $contactUs;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.answer');
    }
}
