<?php

namespace App\Mail;

use App\Models\Gift;
use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendGiftCodeMail extends Mailable implements ShouldQueue
{
    use Queueable, SerializesModels;

    public Gift $gift;
    public User $sender;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(Gift $gift, User $sender)
    {
        $this->gift = $gift;
        $this->sender = $sender;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.gift');
    }
}
