<?php

namespace App\Models;

use App\Contracts\TranslateModel;
use App\Helper\Enum;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Banner extends TranslateModel
{
    use HasFactory;

    protected $guarded = ['id'];

    public function scopeActive($q)
    {
        return $q->where('status', Enum::STATUS_ACTIVE);
    }

    public function scopeMagazine($q)
    {
        return $q->where('type', Product::MAGAZINE);
    }

    public function scopePodcast($q)
    {
        return $q->where('type', Product::PODCAST);
    }

    public function scopeElectronicBook($q)
    {
        return $q->where('type', Product::ELECTRONIC_BOOK);
    }

    public function scopeAudioBook($q)
    {
        return $q->where('type', Product::AUDIO_BOOK);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
