<?php

namespace App\Models;

use App\Contracts\TranslateModel;
use Cviebrock\EloquentSluggable\Sluggable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends TranslateModel
{
    use HasFactory, SoftDeletes;

    protected $guarded = ['id'];

    public function subCategories()
    {
        return $this->hasMany(static::class);
    }

    public function parentCategory()
    {
        return $this->belongsTo(static::class, 'category_id', 'id');
    }
}
