<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class ContactUs extends Model
{
    use HasFactory;

    const INVESTIGATED = 'INVESTIGATED';
    const ANSWERED = 'ANSWERED';
    const PENDING = 'PENDING';
    const NOT_INVESTIGATED = 'NOT_INVESTIGATED';

    const OS_WINDOWS = 'WINDOWS';
    const OS_ANDROID = 'ANDROID';
    const OS_IOS = 'IOS';
    const OS_READER = 'READER';

    const OS_LIST = [ContactUs::OS_WINDOWS, ContactUs::OS_ANDROID, ContactUs::OS_IOS, ContactUs::OS_READER];

    protected $guarded = ['id'];

    protected $appends = ['file_url'];

    public function getFileUrlAttribute()
    {
        return $this->file_path ? Storage::url($this->file_path) : null;
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
