<?php

namespace App\Models;

use App\Contracts\TranslateModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Currency extends TranslateModel
{
    use HasFactory, SoftDeletes;

    protected $translateForeignKey = 'currency_code';
    protected $translateLocalKey = 'currency';

    public function productPrices()
    {
        return $this->hasMany(ProductPrice::class);
    }

    public function giftPrices()
    {
        return $this->hasMany(GiftPrice::class, 'currency_code', 'currency');
    }

    public function orders()
    {
        return $this->hasMany(Order::class, 'currency_code', 'currency');
    }

    public function creditCard()
    {
        return $this->hasOne(CreditCard::class, 'currency_code', 'currency');
    }
}
