<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Gift extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    protected $casts = [
        'send_at' => 'datetime',
        'sent_at' => 'datetime',
        'accepted_at' => 'datetime'
    ];

    const PAYMENT = 'PAYMENT';
    const PENDING = 'PENDING';
    const ACCEPTED = 'ACCEPTED';

    public function price()
    {
        return $this->belongsTo(GiftPrice::class, 'gift_price_id');
    }

    public function transactions()
    {
        return $this->morphMany(Transaction::class, 'transactionable');
    }

    public function sender()
    {
        return $this->belongsTo(User::class,'user_id');
    }
}
