<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Imageable extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    public function getUrlAttribute()
    {
        return Storage::url($this->path);
    }

    public function imageable()
    {
        return $this->morphTo();
    }
}
