<?php

namespace App\Models;

use App\Helper\Enum;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductReview extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    public function publisher()
    {
        return $this->belongsTo(User::class, 'publisher_id')->where('role', Enum::PUBLISHER);
    }

    public function productLanguage()
    {
        return $this->belongsTo(ProductLanguage::class);
    }

    public function parts()
    {
        return $this->hasMany(ProductReviewPart::class);
    }
}
