<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class ProductReviewImage extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    protected $casts = [
        'expired_at' => 'datetime'
    ];

    public function getImageUrlAttribute()
    {
        return Storage::url($this->path);
    }

    public function part()
    {
        return $this->belongsTo(ProductReviewPart::class);
    }
}
