<?php

namespace App\Models;

use App\Helper\Enum;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProfitWithdrawReport extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    public function client()
    {
        return $this->belongsTo(User::class);
    }

    public function marketer()
    {
        return $this->client()->where('role', Enum::MARKETER);
    }

    public function publisher()
    {
        return $this->client()->where('role', Enum::PUBLISHER);
    }

    public function currency()
    {
        return $this->belongsTo(Currency::class, 'currency_code', 'currency');
    }
}
