<?php

namespace App\Models;

use App\Contracts\TranslateModel;
use App\Helper\Enum;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Slider extends TranslateModel
{
    use HasFactory;

    protected $guarded = ['id'];

    public function scopeActive($q)
    {
        return $q->where('status', Enum::STATUS_ACTIVE);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
