<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Transaction extends Model
{
    use HasFactory;

    const PAYMENT = 'PAYMENT';
    const CHECKING = 'CHECKING';
    const SUCCESS = 'SUCCESS';
    const FAILED = 'FAILED';

    const ACTION_PRODUCT = 'PRODUCT';
    const ACTION_DEPOSIT = 'DEPOSIT';
    const ACTION_WITHDRAW = 'WITHDRAW';
    const ACTION_USE_GIFT = 'USE_GIFT';
    const ACTION_GIFT = 'GIFT';


    protected $guarded = ['id'];

    public function getReceiptUrlAttribute()
    {
        return $this->receipt_path ? Storage::disk('receipt')->url($this->receipt_path) : null;
    }

    public function currency()
    {
        return $this->belongsTo(Currency::class, 'currency_code', 'currency');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function transactionable()
    {
        return $this->morphTo();
    }
}
