<?php

namespace App\Services\Publisher\Profile;

use App\Contracts\AProfile;
use App\Helper\Image;
use App\Models\PublisherProfile;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Storage;

class ProfileService extends AProfile
{
    public function updateInfo()
    {
        $userUpdateStatus = $this->user->update([
            'first_name' => $this->data->first_name,
            'last_name' => $this->data->last_name,
            'national_code' => $this->data->national_code,
            'gender' => $this->data->gender,
        ]);

        $logo = $this->user->publisherProfile?->publisher_logo;

        if ($this->data->logo) {
            $year = now()->year;
            if ($logo && Storage::exists($logo))
                Storage::delete($logo);
            $logo = Storage::putFile("/logo/{$year}", $this->data->logo);
        }

        $profileUpdateStatus = $this->user->publisherProfile->update([
            'phone' => $this->data->phone,
            'publisher_name' => $this->data->publisher_name,
            'publisher_description' => $this->data->publisher_description,
            'publisher_email' => $this->data->publisher_email,
            'publisher_code' => $this->data->publisher_code,
            'publisher_address' => $this->data->publisher_address,
            'post_box' => $this->data->post_box,
            'postal_code' => $this->data->postal_code,
            'publisher_logo' => $logo
        ]);

        return !!$userUpdateStatus && !!$profileUpdateStatus;
    }
}
