<?php

namespace App\Services;

use App\Exceptions\FailedResponseException;
use App\Helper\FailedResponseCode;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;

class ResetPasswordService
{
    private $client;

    public function setClient($client)
    {
        $this->client = $client;
        return $this;
    }

    public function resetPassword($password)
    {
        $status = $this->client->update([
            'password' => bcrypt($password)
        ]);

        $userType = Str::lower(class_basename($this->client));

        $currentToken = $this->client->token();

        DB::table('oauth_access_tokens')
            ->where('user_id', $this->client->id)
            ->where('revoked', 0)
            ->where('scopes', 'LIKE', "%{$userType}-access%")
            ->where('id', '!=', $currentToken->id)
            ->update([
                'revoked' => true
            ]);

        return $status;
    }
}
